Name:           squid-purge
Version:        01.02.2004
Release:        1%{?dist}
Summary:        Selectively remove Squid cache contents

Group:          Applications/System
License:        GPL
URL:            http://www.wa.apana.org.au/~dean/squidpurge/
Source0:        http://www.wa.apana.org.au/~dean/sources/purge-20040201-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i386

BuildRequires:  make, gcc

%description
The purge tool is a kind of magnifying glass into your squid cache. You
can use purge to have a look at what URLs are stored in which file within
your cache. The purge tool can also be used to release objects which URLs
match user specified regular expressions. A more troublesome feature is the
ability to remove files squid does not seem to know about any longer.

%prep
%setup -q -n purge


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m 755 purge $RPM_BUILD_ROOT%{_sbindir}/squid-purge


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/squid-purge
%doc README



%changelog
* Wed Feb 03 2010 Jonathan Steffan <jsteffan@fedoraproject.org> - 01.02.2004-1
- Initial Package
